## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IWebParam

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IJavaWebServiceElement, org.eclipse.emf.common.notify.Notifier

    public interface IWebParam

extends IJavaWebServiceElement

Author:
  Hristo Sabev

Method Summary
`WebParamKind` `getKind()`
`java.lang.String` `getPartName()` Returns the value of the 'Part Name' attribute.
`java.lang.String` `getTargetNamespace()` Returns the value of the 'Target Namespace' attribute.
`java.lang.String` `getTypeName()`
`boolean` `isHeader()` Returns the value of the 'Header' attribute.
`void` `setHeader(boolean value)` Sets the value of the '`Header`' attribute.
`void` `setKind(WebParamKind value)` Sets the value of the '`Kind`' attribute.
`void` `setPartName(java.lang.String value)` Sets the value of the '`Part Name`' attribute.
`void` `setTargetNamespace(java.lang.String value)` Sets the value of the '`Target Namespace`' attribute.

Methods inherited from interface org.eclipse.jst.ws.jaxws.dom.runtime.api.IJavaWebServiceElement
`getImplementation, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTypeName

    java.lang.String getTypeName()

  Returns:

### getPartName

    java.lang.String getPartName()

  Returns the value of the 'Part Name' attribute.

  If the meaning of the 'Part Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Part Name' attribute.
  See Also:
    `setPartName(String)`, `DomPackage.getIWebParam_PartName()`

### setPartName

    void setPartName(java.lang.String value)

  Sets the value of the '`Part Name`' attribute.

  Parameters:
    `value` - the new value of the 'Part Name' attribute.
  See Also:
    `getPartName()`

### getTargetNamespace

    java.lang.String getTargetNamespace()

  Returns the value of the 'Target Namespace' attribute.

  If the meaning of the 'Target Namespace' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Namespace' attribute.
  See Also:
    `setTargetNamespace(String)`, `DomPackage.getIWebParam_TargetNamespace()`

### setTargetNamespace

    void setTargetNamespace(java.lang.String value)

  Sets the value of the '`Target Namespace`' attribute.

  Parameters:
    `value` - the new value of the 'Target Namespace' attribute.
  See Also:
    `getTargetNamespace()`

### isHeader

    boolean isHeader()

  Returns the value of the 'Header' attribute. The default value is `"false"`.

  If the meaning of the 'Header' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Header' attribute.
  See Also:
    `setHeader(boolean)`, `DomPackage.getIWebParam_Header()`

### setHeader

    void setHeader(boolean value)

  Sets the value of the '`Header`' attribute.

  Parameters:
    `value` - the new value of the 'Header' attribute.
  See Also:
    `isHeader()`

### getKind

    WebParamKind getKind()

### setKind

    void setKind(WebParamKind value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `WebParamKind`, `getKind()`